/*##############################################################################
 Author:
 * Mirko Prosseda (08-2014)
 * email: mirko.prosseda@gmail.com
 
 Description:
 * Relay Module 2-Channel test sketch v1.0
 * Turns on and off each relay every second, driving simultaneously the L LED of the Arduino
 
 Connections:
 * BOARD -> ARDUINO
 * Vcc   -> 5V
 * GND   -> GND
 * IN1   -> PIN 2
#* IN2   -> PIN 3
##############################################################################*/
 

// Define constants and variables
const int LED = 13;    // sets the LED on pin 13
const int RELAY1 = 2;  // set pin 2 to drive the relay
const int RELAY2 = 3;  // set pin 3 to drive the relay

// Initialization
void setup(){                        
  pinMode (LED, OUTPUT);    // sets pin 13 as digital output
  pinMode (RELAY1, OUTPUT); // sets pin 2 as digital output
  pinMode (RELAY2, OUTPUT); // sets pin 3 as digital output
}

// main loop
void loop(){
  digitalWrite (LED, HIGH);      // turn on the led
  digitalWrite (RELAY1, HIGH);   // relay activation
  delay(1000);
  digitalWrite (LED, LOW);       // turn off the led
  digitalWrite (RELAY1, LOW);    // relay deactivation
  delay(1000);
  digitalWrite (LED, HIGH);      // turn on the led
  digitalWrite (RELAY2, HIGH);   // relay activation
  delay(1000);
  digitalWrite (LED, LOW);       // turn off the led
  digitalWrite (RELAY2, LOW);    // relay deactivation
  delay(1000);
}

